From 5c564bb894a36b4cfb09870bc9b5044752e92485 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Fri, 9 Jan 2015 14:12:30 -0500
Subject: books/bookvolbib add Fate13 reference

@misc{Fate13,
  author = "Fateman, Richard J.",
  title = "Interval Arithmetic, Extended Numbers and Computer Algebra Systems",
  year = "2013",
  paper = "Fate13.pdf",
  url = "http://www.cs.berkeley.edu/~fateman/papers/interval.pdf",
  keywords = "axiomref",
  abstract =
    "Many ambitious computer algebra systems were initially designed in a
    flush of enthusiasm, with the goal of automating any symbolic
    mathematical manipulation ``correctly''. Historically, this approach
    results in programs that implicitly used certain identities to
    simplify expressions. These identities, which very likely seemed
    universally true to the programmers in the heat of writing the CAS
    (and often were true in well-known abstract algebraic domains) later
    neede re-examination when such systems were extended for dealing with
    kinds of objects unanticipated in the original design. These new
    objects are generally introduced to the CAS by extending
    ``generically'' the arithmetic of other operations. For example,
    approximate floats do not have the mathematical properties of exact
    integers or rationals. Complex numbers may strain a system designed
    for real-valued variables. In the situation examined here, we consider
    two categories of ``extended'' numbers: $\infty$ and {\sl undefined},
    and real intervals. We comment on issues raised by these two
    troublesome notions, how their introduction into a computer algebra
    system may require a (sometimes painful) reconsideration and redesign
    of parts of the program, and how they are related. An alternative
    (followed most notably by the Axiom system is to essentially envision
    a ``meta'' CAS defined in terms of categories and inheritance with
    only the most fundamental built-in concepts; from these one can build
    many variants of specific CAS features. This approach is appealing but
    can fail to accommodate extensions that violate some mathematical
    tenets in the cause of practicality."
}
---
 books/bookvolbib.pamphlet      |   47 ++++++++++++++++++++++++++++++++++++++++
 changelog                      |    2 +
 patch                          |   41 +++++++++++++++++++++++++++++-----
 src/axiom-website/patches.html |    2 +
 4 files changed, 86 insertions(+), 6 deletions(-)

diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 2e50797..e550a60 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1878,6 +1878,45 @@ when shown in factored form.
 
 \end{chunk}
 
+\index{Fateman, Richard J.}
+\begin{chunk}{axiom.bib}
+@misc{Fate13,
+  author = "Fateman, Richard J.",
+  title = "Interval Arithmetic, Extended Numbers and Computer Algebra Systems",
+  year = "2013",
+  paper = "Fate13.pdf",
+  url = "http://www.cs.berkeley.edu/~fateman/papers/interval.pdf",
+  keywords = "axiomref",
+  abstract =
+    "Many ambitious computer algebra systems were initially designed in a
+    flush of enthusiasm, with the goal of automating any symbolic
+    mathematical manipulation ``correctly''. Historically, this approach
+    results in programs that implicitly used certain identities to
+    simplify expressions. These identities, which very likely seemed
+    universally true to the programmers in the heat of writing the CAS
+    (and often were true in well-known abstract algebraic domains) later
+    neede re-examination when such systems were extended for dealing with
+    kinds of objects unanticipated in the original design. These new
+    objects are generally introduced to the CAS by extending
+    ``generically'' the arithmetic of other operations. For example,
+    approximate floats do not have the mathematical properties of exact
+    integers or rationals. Complex numbers may strain a system designed
+    for real-valued variables. In the situation examined here, we consider
+    two categories of ``extended'' numbers: $\infty$ and {\sl undefined},
+    and real intervals. We comment on issues raised by these two
+    troublesome notions, how their introduction into a computer algebra
+    system may require a (sometimes painful) reconsideration and redesign
+    of parts of the program, and how they are related. An alternative
+    (followed most notably by the Axiom system is to essentially envision
+    a ``meta'' CAS defined in terms of categories and inheritance with
+    only the most fundamental built-in concepts; from these one can build
+    many variants of specific CAS features. This approach is appealing but
+    can fail to accommodate extensions that violate some mathematical
+    tenets in the cause of practicality."
+
+}
+\end{chunk}
+
 \index{Kelsey, Tom}
 \begin{chunk}{ignore}
 {Kel00,
@@ -2586,6 +2625,7 @@ England, Matthew; Wilson, David
   title = "Retargeting OpenAxiom to Poly/ML: Towards an Integrated Proof Assistants and Computer Algebra System Framework",
 Calculemus (2011) Springer
   url = "http://paradise.caltech.edu/~yli/paper/oa-polyml.pdf",
+  keywords = "axiomref",
   paper = "DR11.pdf",
   abstract = "
     This paper presents an ongoing effort to integrate the Axiom family of
@@ -2625,6 +2665,7 @@ Martin, Ursula
   title = "Lightweight Formal Methods For Computer Algebra Systems",
   url = "http://www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf",
   paper = "Dun98.pdf",
+  keywords = "axiomref",
   abstract = "
     Demonstrates the use of formal methods tools to provide a semantics
     for the type hierarchy of the Axiom computer algebra system, and a
@@ -2641,6 +2682,7 @@ Martin, Ursula
 PhD Thesis, 1999
   url = "http://www.cs.st-andrews.uk/files/publications/Dun99.php",
   paper = "Dun99a.pdf",
+  keywords = "axiomref",
   abstract = "
     In this thesis we investigate the use of lightweight formal methods
     and verification conditions (VCs) to help improve the reliability of
@@ -2878,6 +2920,7 @@ Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
   title = "Adding the axioms to Axiom. Toward a system of automated reasoning in Aldor",
   url = "http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.7.1457&rep=rep1&type=ps",
   paper = "PTxx.pdf",
+  keywords = "axiomref",
   abstract = "
     This paper examines the proposal of using the type system of Axiom to
     represent a logic, and thus to use the constructions of Axiom to
@@ -2910,6 +2953,7 @@ Munteanu, Bogdan; Brooker, Marc; Deardeuff, Michael
 \bibitem[Poll 00]{PT00} Poll, Erik; Thompson, Simon
   title = "Integrating Computer Algebra and Reasoning through the Type System of Aldor",
   paper = "PT00.pdf",
+  keywords = "axiomref",
   abstract = "
     A number of combinations of reasoning and computer algebra systems
     have been proposed; in this paper we describe another, namely a way to
@@ -12291,6 +12335,7 @@ Cambridge University Press, March 1996 ISBN 9870521450072
  author = "Baker, Martin",
  title = "Axiom Architecture",
  year = "2014",
+ keywords = "axiomref",
  url = "http://www.euclideanspace.com/prog/scratchpad/internals/ccode"
 }
 
@@ -14074,6 +14119,7 @@ J. Symbolic Computations 8, 545-552 (1989)
 \begin{chunk}{ignore}
 \bibitem[Koutschan 10]{Kou10} Koutschan, Christoph
   title = "Axiom / FriCAS",
+  keywords = "axiomref",
   url = "http://www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf",
 
 \end{chunk}
@@ -15210,6 +15256,7 @@ Software Practice and Experience. 6(1) (1976)
 \begin{chunk}{ignore}
 \bibitem[Seiler 95a]{Sei95a} Seiler, W.M.; Calmet, J.
   title = "JET -- An Axiom Environment for Geometric Computations with Differential Equations",
+  keywords = "axiomref",
   paper = "Sei95a.pdf",
 
 \end{chunk}
diff --git a/changelog b/changelog
index 9640875..2b9a71c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150109 tpd src/axiom-website/patches.html 20150109.02.tpd.patch
+20150109 tpd books/bookvolbib add Fate13 reference
 20150109 tpd src/axiom-website/patches.html 20150109.01.tpd.patch
 20150109 tpd Makefile exit with success if all tests pass
 20150109 tpd src/input/Makefile remove numeric tests
diff --git a/patch b/patch
index 0219d12..445d6f0 100644
--- a/patch
+++ b/patch
@@ -1,7 +1,36 @@
-src/input/* fix failing tests across platforms
+books/bookvolbib add Fate13 reference
 
-Some of the tests fail because different platforms give different
-numeric answers due to DoubleFloat rounding. The numeric routines
-were moved off the test path or corrected.
-
-In addition, when all tests pass the Makefile no longer complains.
+@misc{Fate13,
+  author = "Fateman, Richard J.",
+  title = "Interval Arithmetic, Extended Numbers and Computer Algebra Systems",
+  year = "2013",
+  paper = "Fate13.pdf",
+  url = "http://www.cs.berkeley.edu/~fateman/papers/interval.pdf",
+  keywords = "axiomref",
+  abstract =
+    "Many ambitious computer algebra systems were initially designed in a
+    flush of enthusiasm, with the goal of automating any symbolic
+    mathematical manipulation ``correctly''. Historically, this approach
+    results in programs that implicitly used certain identities to
+    simplify expressions. These identities, which very likely seemed
+    universally true to the programmers in the heat of writing the CAS
+    (and often were true in well-known abstract algebraic domains) later
+    neede re-examination when such systems were extended for dealing with
+    kinds of objects unanticipated in the original design. These new
+    objects are generally introduced to the CAS by extending
+    ``generically'' the arithmetic of other operations. For example,
+    approximate floats do not have the mathematical properties of exact
+    integers or rationals. Complex numbers may strain a system designed
+    for real-valued variables. In the situation examined here, we consider
+    two categories of ``extended'' numbers: $\infty$ and {\sl undefined},
+    and real intervals. We comment on issues raised by these two
+    troublesome notions, how their introduction into a computer algebra
+    system may require a (sometimes painful) reconsideration and redesign
+    of parts of the program, and how they are related. An alternative
+    (followed most notably by the Axiom system is to essentially envision
+    a ``meta'' CAS defined in terms of categories and inheritance with
+    only the most fundamental built-in concepts; from these one can build
+    many variants of specific CAS features. This approach is appealing but
+    can fail to accommodate extensions that violate some mathematical
+    tenets in the cause of practicality."
+}
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e987bec..a7b2b5e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4946,6 +4946,8 @@ Makefile fix false error message on TESTSET=notests<br/>
 src/input/Makefile, charlwood fix remaining testing issues<br/>
 <a href="patches/20150109.01.tpd.patch">20150109.01.tpd.patch</a>
 src/input/* fix failing tests across platforms<br/>
+<a href="patches/20150109.02.tpd.patch">20150109.02.tpd.patch</a>
+books/bookvolbib add Fate13 reference<br/>
  </body>
 </html>
 
-- 
1.7.5.4

